<html lang="fr">
<head>
  <meta charset="utf-8"/>
  <title>Money Clicker</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="shortcut icon" type="image/png" href="assets/img/bitcoin.png"/>
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <link rel="stylesheet" type="text/css" href="assets/css/style.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.3.0/socket.io.js" integrity="sha256-bQmrZe4yPnQrLTY+1gYylfNMBuGfnT/HKsCGX+9Xuqo=" crossorigin="anonymous"></script>


</head>


<body>

 
  <div class="container-fluid d-flex flex-column">
    <div class="row h-100">
      <nav class="col-md-3 sidebar" >
        <a class="navbar-brand" ><img src="assets/img/bitcoin.png" width="30" height="30" class="d-inline-block align-top" alt="">&nbsp;<span class="sideTitle"  >Money Clicker</span><div class="float-right"><i class="fa fa-users" aria-hidden="true"></i>      <span id="playerNbr"></span></div></a>
        <div class="divider"></div>
        <div class="tchatBox">
          <ul id="messages" class="messageList"></ul>
        </div>
        <form id="commentForm" action="" >
          <input id="inputMessage" type="text" class="form-control inputMessage" name="newChatMessage" required="required" placeholder="Type here to chat..." maxlength="150" autocomplete="off">
        </form>
        <script>
          $(function () {
            var socket = io();
            $('form').submit(function(e) {
              e.preventDefault(); // prevents page reloading
              socket.emit('chat-message', $('#inputMessage').val() , pseudo);
              $('#inputMessage').val('');
              return false;
            });
            socket.on('chat-message', function(msg){
              let  newMessage = decode_utf8(msg);
              console.log(newMessage);
              $('#messages').append($('<li>').html(newMessage));
              scrollToBottom();
            });
          });
        </script>
      </nav>
      <div class='col-md-9 mt-4'>
        <div class="container">
          <div class="row justify-content-center">
            <div class="card col-md-12 amelio shadow-lg">
              <div class="card-header">
                Classement
              </div>
              <div class="card-body">
                <p class="card-text">Liste des participants !</p>

                <ul class="list-group list-group-flush">
                  <li class='list-group-item'>
                    <div class='row'>
                        <div class='col-sm-3'><center><strong>Pseudo</strong></center></div>
                        <div class='col-sm-3'><center><strong>Score</strong></center></div>
                        <div class='col-sm-3'><center><strong>Score par seconde</strong></center></div>
                        <div class='col-sm-3'><center><strong>Total score</strong></center></div>
                    </div>
                  </li>
                </ul>
                <ul class="list-group list-group-flush" id="playerlist" style="overflow:scroll;overflow-x:hidden;overflow-y:scroll;max-height: 200px;">
                </ul>
              </div>       
            </div>
          </div>
          <br>
          <div class="row justify-content-center" style="margin-top: 3%">
            <div id="scoreboard" class="col-md-12"> 
              <div class="d-flex justify-content-center"><img id="coin" src="assets/img/bitcoin.png"  style='cursor: pointer;' width="100"></div>
              <br>
              <div class="d-flex justify-content-center">Total bitcoin : &nbsp;<span id="score" class="d-flex justify-content-center">0</span></div>
              <br>
              <small class="d-flex justify-content-center"><span id="userScorePS" ></span>&nbsp; pieces par seconde</small>
            </div>
          </div>
          <br>
          <div class="row justify-content-center" style="margin-top: 3%">
            <div class="col-md-4">
              <div class="card col-md-12 amelio shadow-lg">
                <div class="card-header">
                  <i class="fas fa-arrow-alt-circle-up"></i>
                  Amélioration d'objets
                </div>
                <div class="card-body">
                  <p class="card-text">Liste de tout ce que vous pouvez acheter pour amméliorer vos batiments !</p>
                </div>
                <div class="card-footer">
                  <ul class="list-group list-group-flush" id="upgradelist" >
                  </ul>
                </div>
              </div>
            </div>
            <div class="col-md-4">
              <div class="card col-md-12 amelio shadow-lg">
                <div class="card-header">
                  <i class="fas fa-shopping-cart"></i>
                  Marché
                </div>
                <div class="card-body">
                  <p class="card-text">Liste de tout ce que vous pouvez acheter pour accélerer vos gains !</p>
                </div>
                <div class="card-footer">
                  <ul class="list-group list-group-flush" id="marketlist">
                  </ul>
                </div>
              </div>
            </div>
            <div class="col-md-4">
              <div class="card col-md-12 amelio shadow-lg">
                <div class="card-header">
                  <i class="fas fa-skull"></i>
                  Malus
                </div>
                <div class="card-body">
                  <p class="card-text">Liste de tout ce que vous pouvez acheter pour détruire vos adversaires !</p>
                </div>
                <div class="card-footer">
                  <ul class="list-group list-group-flush" id="maluslist" >
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div id="modalList"></div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
<script src="building.js"></script>
<script src="malus.js"></script>
<script src="upgrade.js"></script>
<script src="client.js"></script>
<script src="main.js"></script>
<script src="events.js"></script>
<script>
    $(document).ready(function(){
        $('[data-toggle="tooltip"]').tooltip();
    });
</script>

</body>
</html>
